Bug 242178 - yum tried to access the network and fails even with -C
Summary: yum tried to access the network and fails even with -C
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: yum   
(Show other bugs)
Version: 7
Hardware: All
OS: All
low
medium
Target Milestone: ---
Assignee: Seth Vidal
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-06-01 23:54 UTC by Jim Radford
Modified: 2018-04-11 17:29 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-09-13 18:11:59 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Jim Radford 2007-06-01 23:54:01 UTC
I used -C to upgrade while disconnected (yum had already downloaded all
necessary packages during another run), and it died because it it couldn't
resolve the mirror list hostname.  With -C it should not be resolving names.  It
doesn't need the mirror list as I told it to run from cache!

       -C     Tells yum to run entirely from cache - does not download or update
any headers unless it has  to
              to perform the requested action.

# yum -C upgrade
Could not retrieve mirrorlist
http://mirrors.fedoraproject.org/mirrorlist?repo=fedora-7&arch=i386 error was
[Errno 4] IOError: <urlopen error (-3, 'Temporary failure in name resolution')>

Comment 1 Seth Vidal 2007-06-20 15:34:43 UTC
true enough - however the mirrorlist is outside of the 'cache only' scope b/c it
has to set the repo up at all. It is something I intend to work on and make it
behave a little more sensibly. 

Comment 2 Charles Curley 2007-06-22 14:20:50 UTC
Please do. A related (?) problem: When my network was down, I tried to use yum,
and found out that disabling repos did not prevent an attempt to access the list.

--------------------------------------------------
[root@charlesc F-7-i386-DVD.iso]# yum --disablerepo=fedora provides dhcp
Loading "installonlyn" plugin
Loading "fedorakmod" plugin
Loading "downloadonly" plugin
Loading "fastestmirror" plugin
Loading mirror speeds from cached hostfile
Could not retrieve mirrorlist
http://mirrors.fedoraproject.org/mirrorlist?repo=fedora-7&arch=i386 error was
[Errno 4] IOError: <urlopen error (-3, 'Temporary failure in name resolution')>


Cannot find a valid baseurl for repo: fedora
--------------------------------------------------

Of course, as soon as I got the network back, it appeared to work
correctly:

--------------------------------------------------
[root@charlesc ~]# yum --disablerepo=fedora provides dhcp
Loading "installonlyn" plugin
Loading "fedorakmod" plugin
Loading "downloadonly" plugin
Loading "fastestmirror" plugin
Loading mirror speeds from cached hostfile
Loading mirror speeds from cached hostfile
livna                     100% |=========================| 2.1 kB    00:00     
adobe-linux               100% |=========================|  951 B    00:00     
updates                   100% |=========================| 1.9 kB    00:00     
core                      100% |=========================| 2.3 kB    00:00     



dhcp.i386                                12:3.0.5-36.fc7        updates         
Matched from:
dhcp



dhcp.i386                                12:3.0.5-35.fc7        installed       
Matched from:
Provides-match: dhcp
--------------------------------------------------


Comment 3 Jeremy Katz 2007-09-13 18:11:59 UTC
This is fixed in yum 3.2.5

Comment 4 Charles Curley 2007-09-13 23:35:58 UTC
I confirm that both problems are fixed. Thank you all.


Note You need to log in before you can comment on or make changes to this bug.